from flask import request, jsonify, current_app
from flask_restx import Resource, Namespace, reqparse

from app.defines import StatesCode
from app.utils.jwt_util import login_required

ns = Namespace('server', description='服务管理接口')


@ns.route('/server_list')
class ServerListApi(Resource):
    #method_decorators = [login_required]

    @ns.doc(id='get_server_list', description='获取服务列表')
    def get(self):
        """服务列表"""

        page_size = int(request.args.get('page_size', 20))
        page = int(request.args.get('page', 1))

        #  服务名称，简介，图片，安装状态
        data = {
            'name': '海康威视软件包',
            'introduction': 'xxxxxxxx',
            'picture': '',
            'setup_status': True
        }
        return jsonify(code=StatesCode.SUCCESS, message='成功', data=data)


# @ns.route('/search_server')
# class SearchServerApi(Resource):
#
#     def get(self):
#         """搜索服务"""
#         pass
