from sqlalchemy import String, Column, Integer, JSON

from app.modle import Base


class MeetingRoom(Base):
    """会议室表"""

    __tablename__ = 'meeting_room'

    id = Column(Integer, primary_key=True, autoincrement=True, nullable=False, unique=True, doc='id')
    order_no = Column(String, nullable=True, unique=False, index=False, doc='排序号')
    mr_no = Column(String, nullable=True, unique=False, index=False, doc='编号')
    name = Column(String, nullable=True, unique=False, index=False, doc='会议室名称')
    floor_id = Column(Integer, nullable=True, unique=False, index=False, doc='楼层')
    type = Column(String, nullable=True, unique=False, index=False, doc='类型')
    status = Column(String, nullable=True, unique=False, index=False, doc='状态')
    open_time = Column(String, nullable=True, unique=False, index=False, doc='开放时间')
    close_time = Column(String, nullable=True, unique=False, index=False, doc='关闭时间')
    audit_time = Column(String, nullable=True, unique=False, index=False, doc='会议超过几小时需要审核')
    limit_day = Column(String, nullable=True, unique=False, index=False, doc='限定可预约时间(天)')
    is_del = Column(Integer, nullable=True, unique=False, index=False, doc='是否删除')
    remark = Column(String, nullable=True, unique=False, index=False, doc='备注信息')
    capacity = Column(Integer, nullable=True, unique=False, index=False, doc='容纳人数')
